# OSM2VectorTiles [![Build Status](https://travis-ci.org/osm2vectortiles/osm2vectortiles.svg?branch=master)](https://travis-ci.org/osm2vectortiles/osm2vectortiles) [![MIT and ODbL licensed](https://img.shields.io/badge/license-MIT/ODbL-blue.svg)](https://github.com/osm2vectortiles/osm2vectortiles#license)

OSM2VectorTiles makes is possible to create vector tiles from OpenStreetMap data. For a detailed documentation, please visit our [project website](http://osm2vectortiles.org/docs/).

Create a custom base map in minutes with our free vector tiles from [OpenStreetMap](http://openstreetmap.org) data. 
This is the easiest way how to switch to OSM thanks to [MapBox](https://github.com/mapbox) open-source tools. Design your own map of world or country, serve raster or vector tiles from any virtual server or your own infrastructure, even offline behind a firewall.

## Introduction

Video introduction to vector tiles, the project and how to use OSM2VectorTiles to create your own styles and maps.

**https://www.youtube.com/watch?v=Wh--DHRULkE**

[![Vector tiles from OpenStreetMap](https://img.youtube.com/vi/Wh--DHRULkE/0.jpg)](https://www.youtube.com/watch?v=Wh--DHRULkE)

## Docs

The following tutorials are targeted at users of the OSM2VectorTiles project.

- **[Getting Started](http://osm2vectortiles.org/docs/getting-started/):** Quickly get started using OSM2VectorTiles to display maps in your browser. This tutorial explains how to serve downloaded Vector Tiles and use them in your browser.
- **[Create new Mapbox GL style](http://osm2vectortiles.org/docs/create-map-with-mapbox-studio/):** Design beautiful maps with the new Mapbox Studio and use them together with osm2vectortiles.

If you want to adapt the OSM2VectorTiles workflow to create vector tiles yourself the detailed usage guide
will get you started.

- **[Detailed Usage Guide](/USAGE.md)**: Create your own planet scale vector tiles with a distributed workflow using the OSM2VectorTiles components.

You should also check out our associated bachelor thesis **[Updatable Vector Tiles from OpenStreetMap](https://cdn.rawgit.com/osm2vectortiles/bachelor-thesis/882a46977f7b984fc59be188335127d62921c44c/thesis.pdf)** if you like a more scientific approach to the project.

## Downloads

Download the entire world, city or country extracts from http://osm2vectortiles.org/downloads.

## Develop

You want to hack on OSM2VectorTiles yourself or are interested in running or adapting the workflow yourself.
Take a look at the [detailed usage guide](USAGE.md) which explains the workflow and the components.

## License

The project is under the MIT license while the data downloads use the [Open Database License](http://wiki.openstreetmap.org/wiki/Open_Database_License) from OpenStreetMap.

## Contribute

The purpose of this project is to make OSM data more accessible to anybody. Any feedback or improvement is greatly appreciated. So feel free to submit a pull request or file a bug. You can also post feedback as GitHub issue. A list of current contributors can be found in the [CONTRIBUTORS](/CONTRIBUTORS.md) file.

You can help us to improve the documentation by editing the Markdown files and creating a pull request.
The documentation is based on GitHub pages and is in the `gh-pages` branch.

https://github.com/osm2vectortiles/osm2vectortiles/tree/gh-pages/docs
